org.apache.lucene.util

## Interface Accountable

- All Known Subinterfaces:
    FSTStore
  All Known Implementing Classes:
    AbstractPagedMutable, Automaton, AutomatonQuery, BitDocIdSet, BitSet, BKDReader, BlockPackedReader, BlockTreeTermsReader, ByteBlockPool, ByteBuffersDataInput, ByteBuffersDataOutput, ByteRunAutomaton, BytesRefArray.SortState, BytesRefHash, CharacterRunAutomaton, CodecReader, CompiledAutomaton, CompressingStoredFieldsReader, CompressingTermVectorsReader, DirectMonotonicReader, DirectMonotonicReader.Meta, DocIdSet, DocValuesProducer, EmptyDocValuesProducer, FieldReader, FieldsProducer, FilterCodecReader, FixedBitSet, FrequencyTrackingRingBuffer, FST, FuzzyQuery, GrowableWriter, IndexWriter, LongBitSet, LRUQueryCache, Lucene60PointsReader, Lucene84PostingsReader, MonotonicBlockPackedReader, NormsProducer, NotDocIdSet, NRTCachingDirectory, OffHeapFSTStore, OnHeapFSTStore, OrdinalMap, PackedInts.Mutable, PackedInts.NullReader, PackedInts.Reader, PackedLongValues, PackedLongValues.Builder, PagedBytes, PagedBytes.Reader, PagedGrowableWriter, PagedMutable, PointInSetQuery, PointsReader, PostingsReaderBase, PrefixCodedTerms, PrefixQuery, RAMDirectory, RAMFile, RAMOutputStream, RegexpQuery, RoaringDocIdSet, RunAutomaton, SegmentReader, SparseFixedBitSet, StoredFieldsReader, Term, TermInSetQuery, TermRangeQuery, TermVectorsReader, WildcardQuery

      public interface Accountable

  An object whose RAM usage can be computed.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Collection<Accountable>` | `getChildResources()` Returns nested resources of this class.
    `long` | `ramBytesUsed()` Return the memory usage of this object in bytes.

- - ### Method Detail

    - #### ramBytesUsed

          long ramBytesUsed()

      Return the memory usage of this object in bytes. Negative values are illegal.

    - #### getChildResources

          default Collection<Accountable> getChildResources()

      Returns nested resources of this class. The result should be a point-in-time snapshot (to avoid race conditions).
      See Also:
        `Accountables`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.